> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skus

> Get paginated list of SKUs with optional search.



## OpenAPI

````yaml /api/openapi-cutmake.json get /skus
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /skus:
    get:
      tags:
        - SKU Management
      summary: Get Skus
      description: Get paginated list of SKUs with optional search.
      operationId: get_skus_skus_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 10
            title: Limit
          description: Items per page
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Sort field with direction
            default: '-id'
            title: Sort
          description: Sort field with direction
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 2
              - type: 'null'
            description: Search by ref_id
            title: Q
          description: Search by ref_id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSKUsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedSKUsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SKUResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/core__pagination__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedSKUsResponse
      description: Paginated response for SKUs list
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SKUResponse:
      properties:
        row_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Row Id
        sku_id:
          type: string
          title: Sku Id
        ref_id:
          type: string
          title: Ref Id
        master_material:
          type: string
          title: Master Material
        color:
          type: string
          title: Color
        size:
          type: string
          title: Size
        qr_data:
          type: string
          title: Qr Data
        sku_cost_override:
          anyOf:
            - type: number
            - type: 'null'
          title: Sku Cost Override
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        attachment_name:
          type: string
          title: Attachment Name
        created:
          anyOf:
            - type: string
            - type: 'null'
          title: Created
      type: object
      required:
        - sku_id
        - ref_id
        - master_material
        - color
        - size
        - qr_data
        - attachment_name
      title: SKUResponse
    core__pagination__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
      description: |-
        Pagination metadata following API standards.

        Attributes:
            page: Current page number (1-indexed)
            limit: Items per page
            total: Total number of items matching query
            totalPages: Total number of pages
            hasNext: Whether there is a next page
            hasPrev: Whether there is a previous page
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````